Subject: getReferrals() java-api-11

From: "Steve Sonntag" <[email-masked]>
Date: Wed, 06 Sep 2000 17:07:02 -0600

In the java-api-11 I-D, an application doing asynchronous search
operations is confronted with two different data formats when handling
referrals and search continuation references.

When the application gets a referral status on a search operation,
referral URL information is retrieved by LDAPResponse.getReferrals()
as an array of String objects.

When the application gets search continuation references as part of
the search data, the continuation references are retrieved by
LDAPSearchResultReference.getURLs() as an array of LDAPUrl objects.

To be consistent, shouldn't both return an array of LDAPUrl objects?

-Steve